using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using DLLCheck;

namespace Швейная_фабрика
{
    public partial class FormReg : Form
    {
        public FormReg()
        {
            InitializeComponent();
        }

        private void FormReg_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "сlothesFactoryLGDataSet.Users". При необходимости она может быть перемещена или удалена.
            this.usersTableAdapter.Fill(this.сlothesFactoryLGDataSet.Users);
            passTextBox.UseSystemPasswordChar = true;
            passTextBox2.UseSystemPasswordChar = true;

        }
        SqlConnection Con = new SqlConnection("Data Source=213.155.192.79,3002;Initial Catalog=СlothesFactoryLG;Persist Security Info=True;User ID=u21lebed;Password=hgm8");
        private void BtnReg_Click(object sender, EventArgs e)
        {
            if (passTextBox.Text != passTextBox2.Text)
            {
                MessageBox.Show("Пароли не совпадают", "Внимание!",
                    MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                passTextBox.Focus();
                return;
            }
            // если пароль, указанный пользователем, не соответствует требованиям
            CheckPass ps = new CheckPass();
            if (!ps.ClassCheckPass(passTextBox.Text))
            {
                MessageBox.Show("Пароль не соответствует требованиям.", "Внимание!",
                    MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                passTextBox.Focus();
                return;  // выйти из процедуры
            }
            BsUsers.Filter = $"login = '{loginTextBox.Text}'";
            if (BsUsers.Count != 0)
            {
                MessageBox.Show(@"В базе данных уже есть пользователь с таким логином.
Введите уникальный логин пользователя.", "Внимание!", MessageBoxButtons.OK,
MessageBoxIcon.Exclamation);
                loginTextBox.Focus();
                return;

            }
            else
            {
                Con.Open();
                SqlCommand query = new SqlCommand($"insert into Users values ('{loginTextBox.Text}','{passTextBox.Text}',1,'{surnameTextBox.Text}','{nameTextBox.Text}','{otchTextBox.Text}','{phoneMaskedTextBox.Text}')", Con);
                query.ExecuteNonQuery();
                Con.Close();
                BsUsers.EndEdit();
                this.usersTableAdapter.Update(this.сlothesFactoryLGDataSet.Users);
            }

            this.DialogResult = DialogResult.OK;
            Close();
        }

        private void BtnCancel_Click(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'fab2021DataSet1.Users' table. You can move, or remove it, as needed.
            this.usersTableAdapter.Fill(this.сlothesFactoryLGDataSet.Users);
            BsUsers.AddNew();
        }

        private void CbxShowPass_CheckedChanged(object sender, EventArgs e)
        {
            passTextBox.UseSystemPasswordChar = !passTextBox.UseSystemPasswordChar;
            passTextBox2.UseSystemPasswordChar = !passTextBox2.UseSystemPasswordChar;
        }
    }
}
